Modify

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#7288 closed defect (fixed)

relationeditor shortcut conflicts

Reported by: skyper Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: short cut conflict Cc:

Description

Thanks for your work !

Once again there are short cut conflicts within josm core.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-01-17 02:31:43
Last Changed Author: stoecker
Revision: 4806
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-01-16 22:12:18 +0100 (Mon, 16 Jan 2012)
Last Changed Rev: 4806

Warnung: Fehlende Einstellungsdatei "$HOME/.josm/preferences.xml". Datei mit Standardeinstellungen wird erstellt.
GET http://api.openstreetmap.org/api/capabilities... OK
Kommunikation mit http://api.openstreetmap.org/api mittels Protokollversion 0.6 etabliert.
Silent shortcut conflict: 'relationeditor:sort' moved by 'menu:Tools' to 'Alt+B'.
Silent shortcut conflict: 'relationeditor:removeselected' moved by 'properties:edit' to 'Alt+G'.

Attachments (0)

Change History (12)

comment:1 Changed 7 years ago by akks

Strange - it seems that there are no working shortcuts in relation editor!

When I change shortcuts in code, conflicts change or vanish but shortcuts are not working...
(With clean SVN code too, Windows 7, tested with Russian and English locale)

comment:2 Changed 7 years ago by skyper

They get even more:

Last Changed Rev: 4881

GET http://api.openstreetmap.org/api/capabilities... OK
lade Plugin 'turnlanes' (Version 27355)
lade Plugin 'reverter' (Version 27604)
RemoteControl: adding command "revert_changeset" (handled by RevertChangesetHandler)
lade Plugin 'utilsplugin2' (Version 27624)
...
Silent shortcut conflict: 'relationeditor:moveup' moved by 'menu:Selection' to 'Alt+B'.
Silent shortcut conflict: 'relationeditor:remove' moved by 'tools:extnode' to 'Alt+G'.
Silent shortcut conflict: 'relationeditor:sort' moved by 'menu:Tools' to 'Alt+K'.
Silent shortcut conflict: 'relationeditor:reverse' moved by 'menu:More tools' to 'Alt+M'.
Silent shortcut conflict: 'relationeditor:downloadincomplete' moved by 'relationeditor:sort' to 'Alt+O'.
Silent shortcut conflict: 'relationeditor:removeselected' moved by 'properties:edit' to 'Alt+Q'.

Especially the third and fifth move is not very clever.

comment:3 Changed 7 years ago by akks

As for me, relationeditor:* shortcuts does not work even without utilsplugin2!

comment:4 Changed 7 years ago by akks

@All

Can someone confirm tha some shortcut is working in relation editor(even without plugins)? Which one does?

Last edited 7 years ago by akks (previous) (diff)

comment:5 Changed 7 years ago by akks

No comments - no chance to fix this issue?

comment:6 in reply to:  4 Changed 7 years ago by skyper

Replying to akks:

@All

Can someone confirm tha some shortcut is working in relation editor(even without plugins)? Which one does?

As I have never used shortcuts in relation editor and they all do not work on my system, I felt I was not asked to comment.

Think the whole shortcut system for relation editor is broken !

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-02-06 02:32:18
Last Changed Author: Don-vip
Revision: 4903
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-02-05 21:35:37 +0100 (Sun, 05 Feb 2012)
Last Changed Rev: 4903

Warnung: Fehlende Einstellungsdatei "$HOME/.josm/preferences.xml". Datei mit Standardeinstellungen wird erstellt.
GET http://api.openstreetmap.org/api/capabilities... OK
Open file: $HOME/Downloads/relations_sort.osm (12290 bytes)
Silent shortcut conflict: 'relationeditor:sort' moved by 'menu:Tools' to 'Alt+B'.
Silent shortcut conflict: 'relationeditor:removeselected' moved by 'properties:edit' to 'Alt+G'.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-02-06 02:32:18
Last Changed Author: Don-vip
Revision: 4903
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-02-05 21:35:37 +0100 (Sun, 05 Feb 2012)
Last Changed Rev: 4903

Identification: JOSM/1.5 (4903 de)
Memory Usage: 25 MB / 248 MB (5 MB allocated, but free)
Java version: 1.6.0_18, Sun Microsystems Inc., OpenJDK Client VM
Operating system: Linux

Last edited 7 years ago by skyper (previous) (diff)

comment:7 Changed 7 years ago by akks

On Windows they do not work too. And it is not because of conficts - I tried to change the code. So, only way to close tis ticket is to remove all shortcut definitions from the relation editor :-) Are there Other options?

@Stoecker: You know the shortcut system much better than us, can you tell what is wrong with these ones? Or maybe fix it...

comment:8 Changed 7 years ago by simon04

I wonder why they *should* work from a technical point of view. GenericRelationEditor contains several Shortcut.registerShortcut(...) statements without doing anything with the shortcut. I assume, all of them can be dropped, or be replaced with a working implementation, right?

comment:9 Changed 7 years ago by akks

I think so :) I did not notice such trivial thing :)

So maybe you extend your patch from #7301 to these shortcuts and apply it (with changed shortcuts)?

Last edited 7 years ago by akks (previous) (diff)

comment:10 in reply to:  9 Changed 7 years ago by simon04

Replying to akks:

So maybe you extend your patch from #7301 to these shortcuts and apply it (with changed shortcuts)?

If you want, don't hesitate to adapt my patch and fix the two tickets. I don't think that can take a look at them before weekend.

comment:11 Changed 7 years ago by akks

Resolution: fixed
Status: newclosed

In [4905/josm]:

fix #7288, #7301: based on patch by simon04 / 4 new Relation Editor shortcuts instead of non-working old ones

comment:12 Changed 7 years ago by akks

Please have a look at changes and reopen this ticket if conflicts remain or reappear.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.